#
# spec file for package gimp-help (Version 0.6)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  docbook-xsl-stylesheets docbook_4 gimp gimp-devel gnome-filesystem gtk2-devel-packages libxml2 libxslt pkgconfig sgml-skel xhtml-dtd xmlcharent

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel atk atk-devel autoconf automake binutils docbook-xsl-stylesheets docbook_4 expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gdbm gettext gimp gimp-devel glib2 glib2-devel gnome-filesystem gtk2 gtk2-devel libtool libxml2 libxslt pango pango-devel perl pkgconfig rpm sgml-skel update-desktop-files xhtml-dtd xmlcharent xorg-x11-devel xorg-x11-libs

Name:         gimp-help
URL:          http://www.kuhcampus.de/~roman/
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
License:      GPL
Group:        Productivity/Graphics/Bitmap Editors
Autoreqprov:  on
Requires:     gimp
Provides:     gimp-help-2
Obsoletes:    gimp-help-2
Version:      0.8
Release:      1
Summary:      Help System Data for GIMP2
Source:       %{name}-2-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
GIMP-Help is a help system designed for use with the internal GIMP help
browser, external web browser and HTML renderers, and human eyeballs.
Docbook is used to create a highly customizable system for all needs.



Authors:
--------
    Daniel Egger
    Mel Boyce
    Oliver Ellis
    Roman Joost
    Jakub Steiner

%debug_package
%prep
%setup -q -n %{name}-2-%{version}

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#mkdir -p %{prefix}/share/gimp/2.0/help

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS ChangeLog NEWS README TERMINOLOGY TODO
%{prefix}/share/gimp/2.0/*

%changelog -n gimp-help
* Thu May 26 2005 - joe_morris@ntm.org
- Updated to version 0.8.
* Mon Feb 21 2005 - sbrabec@suse.cz
- Updated to version 0.6.
* Mon Aug 09 2004 - ro@suse.de
- update to version gimp-help-2-0.4
* Wed Apr 07 2004 - hhetter@suse.de
- provide C -> en symlink (#37519)
* Tue Mar 23 2004 - sbrabec@suse.cz
- Fixed GIMP2 paths.
* Fri Feb 27 2004 - hhetter@suse.de
- cvs checkout 20040227
- update neededforbuild for prober stylesheet and dtd
* Mon Feb 23 2004 - ro@suse.de
- renamed to gimp-help
* Fri Feb 20 2004 - ro@suse.de
- gimp2 package has been renamed to gimp
* Fri Nov 07 2003 - ke@suse.de
- Provide proper TextDecl for externally parsed entities. For background
  info cf. http://bugzilla.gnome.org/show_bug.cgi?id=126351 .
* Thu Sep 11 2003 - sbrabec@suse.cz
- Added preliminary help package for gimp2 (bug #30085).
